Get payment link QR code
Retrieve the payment link encoded in a QR code.
Use the Accept header to specify the format of the response. Supported formats are application/json and image/png.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.write scope.
GET
/accounts/{accountID}/payment-links/{paymentLinkCode}/qrcode
curl -X GET "https://api.moov.io/accounts/{accountID}/payment-links/{paymentLinkCode}/qrcode" \
-H "Authorization: Bearer {token}" \
-H "x-moov-version: v2024.01.00" \
using Moov.Sdk;
var sdk = new MoovClient(xMoovVersion: "<value>");
var res = await sdk.PaymentLinks.GetQRCodeAsync(
accountID: "2f01a42a-aa5a-424f-9f47-6f8999ed05dc",
paymentLinkCode: "uc7ZYKrMhi"
);
// handle responsepackage hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetPaymentLinkQRCodeResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.xMoovVersion("v2024.01.00")
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetPaymentLinkQRCodeResponse res = sdk.paymentLinks().getQRCode()
.accountID("2f01a42a-aa5a-424f-9f47-6f8999ed05dc")
.paymentLinkCode("uc7ZYKrMhi")
.call();
if (res.qrCode().isPresent()) {
// handle response
}
}
}require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
x_moov_version: 'v2024.01.00',
)
res = s.payment_links.get_qr_code(account_id: '2f01a42a-aa5a-424f-9f47-6f8999ed05dc', payment_link_code: 'uc7ZYKrMhi')
unless res.qr_code.nil?
# handle response
endimport { Moov } from "@moovio/sdk";
const moov = new Moov({
xMoovVersion: "v2024.01.00",
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.paymentLinks.getQRCode({
accountID: "2f01a42a-aa5a-424f-9f47-6f8999ed05dc",
paymentLinkCode: "uc7ZYKrMhi",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setXMoovVersion('v2024.01.00')
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->paymentLinks->getQrCode(
accountID: '2f01a42a-aa5a-424f-9f47-6f8999ed05dc',
paymentLinkCode: 'uc7ZYKrMhi'
);
if ($response->qrCode !== null) {
// handle response
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
x_moov_version="v2024.01.00",
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.payment_links.get_qr_code(account_id="2f01a42a-aa5a-424f-9f47-6f8999ed05dc", payment_link_code="uc7ZYKrMhi")
# Handle response
print(res)The request has succeeded.
{
"qrCode": "iVBORw0KGgoAAAANSUhEUgAAAOEAAADhCAIAAADaA7F0AAAACXBIWXMAAAsTAAALEwEAmpwYAAAA..."
}
Returns an image file (image/png).
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
The merchant account ID.
paymentLinkCode
string
required
Response
qrCode
string
required
A base64-encoded PNG image of the QR code.